Summary: A version control system.
Name: cvs
Version: 1.10.8
Release: C1
Copyright: GPL
Group: Development/Tools
Source: ftp://download.cyclic.com/pub/cvs-%{version}/cvs-%{version}.tar.gz
Patch0: cvs-1.10-tmprace.patch
Patch1: cvs-1.10.7-fixinfo.patch
Patch2: cvs-1.10.8-zlib.patch
Patch3: cvs-1.10.8-auth.patch
Prereq: /sbin/install-info
Prefix: %{_prefix}
Buildroot: %{_tmppath}/%{name}-root
Requires: perl zlib
BuildPreReq: autoconf libtool zlib-devel

%description
CVS (Concurrent Version System) is a version control system which can
record the history of your files (usually, but not always, source
code). CVS only stores the differences between versions, instead of
every version of every file you've ever created. CVS also keeps a log
of who, when and why changes occurred.

CVS is very helpful for managing releases and controlling the
concurrent editing of source files among multiple authors. Instead of
providing version control for a collection of files in a single
directory, CVS provides version control for a hierarchical collection
of directories consisting of revision controlled files.  These
directories and files can then be combined together to form a software
release.

Install the cvs package if you need to use a version control system.

%prep
%setup -q
%patch0 -p1 -b .tmprace
%patch1 -p1 -b .fixinfo
%patch2 -p1 -b .zlib
%patch3 -p1 -b .auth

%build
autoheader
autoconf
%configure --without-krb4 --without-gssapi --disable-encryption

make
make -C doc info

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/%{_prefix} install install-info
gzip $RPM_BUILD_ROOT/%{_infodir}/cvs* || true

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /%{_infodir}/cvs.info.gz /%{_infodir}/dir
/sbin/install-info /%{_infodir}/cvsclient.info.gz /%{_infodir}/dir 

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /%{_infodir}/cvs.info.gz /%{_infodir}/dir
    /sbin/install-info --delete /%{_infodir}/cvsclient.info.gz /%{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc BUGS FAQ MINOR-BUGS NEWS PROJECTS TODO README
%doc doc/*.ps
/%{_bindir}/cvs
/%{_bindir}/cvsbug
/%{_bindir}/rcs2log
/%{_mandir}/man1/cvs.1*
/%{_mandir}/man5/cvs.5*
/%{_mandir}/man8/cvsbug.8*
/%{_infodir}/cvs*
/%{_libdir}/cvs

%changelog
* Tue Jun 20 2000 Duncan Laurie <duncan@cobalt.com> 1.10.8-C1
- build correctly, and WITHOUT kerberos

